为什么用了Nightly v1.02.1912032还是不能推送订阅信息? 30C

开发的小程序放了一段时间,之前用模板信息, 今天发现可以用订阅信息推送并且不用受到7天formID的限制。目前程序通过云函数定时推送订阅信息。 在开发软件里,用本地调试可以推送,但是如果用远程调试让定时器自己推送就出现以下信息

2019-12-03T15:42:00.769Z { Error: errCode: -501007 invalid parameters | errMsg: subscribeMessage.send:fail Invalid request param

at new CloudSDKError (/var/user/node_modules/wx-server-sdk/index.js:6398:28)

at Object. (/var/user/node_modules/wx-server-sdk/index.js:432:35)

at step (/var/user/node_modules/tslib/tslib.js:136:27)

at Object.next (/var/user/node_modules/tslib/tslib.js:117:57)

at fulfilled (/var/user/node_modules/tslib/tslib.js:107:62)

at

at process._tickCallback (internal/process/next_tick.js:188:7)

errCode: -501007,

errMsg: 'subscribeMessage.send:fail Invalid request param' }

不知道各位大神有什么解决方案? 开发软件版本是Nightly v1.02.1912032。。。

另外发现一个问题,每次推送的时候要授权订阅,如果同事推送两个,那么就要授权订阅两次。。 不知道有什么解决方案。。

希望大神们帮个忙

1个回答

weixin_45303139
不专业程序猿 错误号是501007 不是501006
4 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问